Loading...
Searching...
No Matches
Color Class Reference
Tools and Utilities » Miscellaneous Tools

## Detailed Description

Data structure representing RGB colors.

`#include <lemon/color.h>`

## Public Member Functions

| Color ()
| Default constructor.
| Color (double r, double g, double b)
| Constructor.
double & | red ()
| Set the red component.
const double & | red () const
| Return the red component.
double & | green ()
| Set the green component.
const double & | green () const
| Return the green component.
double & | blue ()
| Set the blue component.
const double & | blue () const
| Return the blue component.
void | set (double r, double g, double b)
| Set the color components.